﻿@using SPEX.Models
@{
    if(Html.Toyota().Page.User != null)
    {
        var Roles = Html.Toyota().Page.User.Roles;
        var RoleCount= Roles.Where(a=>a._SystemId=="SPEX").Count();
        if(RoleCount>0)
        {
        //MenuList menuList = Html.Toyota().Page.AuthorizedMenu;
            List<MenuSpex> menuList = new List<MenuSpex>();

            menuList = new MenuSpex().getMenuByRole(Roles.Where(a => a._SystemId == "SPEX").First().Id);  
            if((menuList != null)) 
            {
                foreach (MenuSpex menu in menuList) 
                {
                    if (menu.HasChildren==true) 
                    {
                        @: <li>
                               // @ <img alt="" src="~/Content/Layout/Image/navigation-logo.png" width="180"> <br/>
                        if (@menu.MENU_ID == "menu-01")
                        {
                            @: <div style="width:100%; ">  <img alt="" src="@Url.Content("~/Content/Layout/Image/navigation-logo.png")" style ="width:160px;" > </div> 
                        }
                        else
                        {
                            @menu.MENU_TEXT
                        }
                                
                                //<br/> @menu.MENU_TEXT
                                
                                @: <ul>
                                foreach (MenuSpex submenu in menu.Child) 
                                {
                                    if(submenu.HasChildren==true) 
                                    {
                                        @:<li>
                                                @submenu.MENU_TEXT
                                                @: <ul>
                                                foreach (MenuSpex subsubmenu in submenu.Child) 
                                                {
                                                        @: <li><img alt="" src="@Url.Content("~/Content/Layout/Image/Actions/action-23.png")"/><a href="@subsubmenu.NAVIGATE_URL">@subsubmenu.MENU_TEXT</a></li>
                                                }    
                                                @: </ul>
                                        @:</li>
                                    }
                                    else
                                    {
                                        @: <li><img alt="" src="@Url.Content("~/Content/Layout/Image/Actions/action-23.png")"/><a href="@submenu.NAVIGATE_URL">@submenu.MENU_TEXT</a></li>
                                    }
                                }    
                                @: </ul>
                        @: </li>
                    }
                    else
                    {
                        @: <li><img alt="" src="@Url.Content("~/Content/Layout/Image/Actions/action-5.png")"/><a href="@menu.NAVIGATE_URL">@menu.MENU_TEXT</a></li>
                    }
                }
            }
        }
    }else
    {
       Response.Redirect("~/Login");
    }
}
